<template>
  <app-jumbotron
    v-if="restaurant"
    :header="restaurant.page.title"
    lead="Надо забрать описание из бд"
  >
    <div class="mt-1 flex flex-col sm:mt-0 sm:flex-row sm:flex-wrap sm:space-x-6">
      <div class="mt-2 flex items-center text-sm text-gray-500">
        <BriefcaseIcon class="mr-1.5 h-5 w-5 flex-shrink-0 text-gray-400" aria-hidden="true" />
        Full-time
      </div>
      <div class="mt-2 flex items-center text-sm text-gray-500">
        <MapPinIcon class="mr-1.5 h-5 w-5 flex-shrink-0 text-gray-400" aria-hidden="true" />
        Remote
      </div>
      <div class="mt-2 flex items-center text-sm text-gray-500">
        <CurrencyDollarIcon class="mr-1.5 h-5 w-5 flex-shrink-0 text-gray-400" aria-hidden="true" />
        $120k &ndash; $140k
      </div>
      <div class="mt-2 flex items-center text-sm text-gray-500">
        <CalendarIcon class="mr-1.5 h-5 w-5 flex-shrink-0 text-gray-400" aria-hidden="true" />
        Closing on January 9, 2020
      </div>
    </div>

    <template #sticky>
      <div class="space-x-4">
        <restaurant-menu-group-badge
          v-for="group in groupedProducts"
          :key="group.id"
          :id="group.id"
          :title="group.title"
        />
      </div>
    </template>
  </app-jumbotron>
</template>

<script setup lang="ts">
  import {
    BriefcaseIcon,
    CalendarIcon,
    CurrencyDollarIcon,
    MapPinIcon,
  } from '@heroicons/vue/20/solid'
  import { useRestaurantByPage } from '~/composable/restaurant/useRestaurantByPage'
  import { useRestaurantMenu } from '~/composable/restaurant/useRestaurantMenu'

  const {groupedProducts} = useRestaurantMenu()
  const {restaurant} = useRestaurantByPage()
</script>
